# $Id$

PREFIX = /usr
SYSCONFDIR = /etc
BINDIR = $(PREFIX)/bin
SBINDIR = $(PREFIX)/sbin
LIBDIR = $(PREFIX)/lib
DATADIR = $(PREFIX)/share
LOCALSTATEDIR = /var
RUNDIR = /run

ALX_WEB_INSTALL_DIR = $(DATADIR)/alx-web
WAKEONLAN_EXEC = /usr/sbin/ether-wake
APACHE_HTTP_USER = apache

CHMOD = chmod
INSTALL = install
LN = ln -snf
SED = sed

SCRIPT_SED_LINES = \
		-e "s:@@SYSCONFDIR@@:$(SYSCONFDIR):g" \
		-e "s:@@BINDIR@@:$(BINDIR):g" \
		-e "s:@@SBINDIR@@:$(SBINDIR):g" \
		-e "s:@@LIBDIR@@:$(LIBDIR):g" \
		-e "s:@@DATADIR@@:$(DATADIR):g" \
		-e "s:@@LOCALSTATEDIR@@:$(LOCALSTATEDIR):g" \
		-e "s:@@CONFDDIR@@:$(CONFDDIR):g" \
		-e "s:@@RUNDIR@@:$(RUNDIR):g" \
		-e "s:@@ALXWEBINSTALLDIR@@:$(ALX_WEB_INSTALL_DIR):g" \
		-e "s:@@WAKEONLAN_EXEC@@:$(WAKEONLAN_EXEC):g" \
		-e "s:@@APACHE_HTTP_USER@@:$(APACHE_HTTP_USER):g"

SCRIPT_SED_COMMAND = \
	$(SED) \
		$(SCRIPT_SED_LINES) \
		$< > $@

SCRIPT_EXEC_CREATE_COMMAND = \
	$(SCRIPT_SED_COMMAND); \
	$(CHMOD) +x $@

%.conf: %.conf.in
	$(SCRIPT_SED_COMMAND)

%.sh: %.sh.in
	$(SCRIPT_EXEC_CREATE_COMMAND)

%: %.in
	$(SCRIPT_EXEC_CREATE_COMMAND)
