create_database_schema()
{
	TABLE_DEFINITION=(
		"meta_schema"
			"version int(11) NOT NULL PRIMARY KEY"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"meta_values"
			"version int(11) NOT NULL PRIMARY KEY"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"cfg_citrix_serverlist"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"serial int(11) DEFAULT NULL"
			"host varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"cfg_comments"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"serial int(11) NOT NULL"
			"txt text"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"cfg_fluxbox_autostart"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"serial int(11) NOT NULL"
			"name varchar(255) DEFAULT NULL"
			"exec varchar(255) DEFAULT NULL"
			"comment varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"cfg_fluxbox_menuitem"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"serial int(11) NOT NULL"
			"name varchar(255) DEFAULT NULL"
			"exec varchar(255) DEFAULT NULL"
			"workdir varchar(255) DEFAULT NULL"
			"icon varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"cfg_fluxbox_theme"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"serial int(11) NOT NULL"
			"theme varchar(255) DEFAULT NULL"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"cfg_graphic"
			"serial int(11) NOT NULL PRIMARY KEY"
			"resolution varchar(255) DEFAULT NULL"
			"depth varchar(288) DEFAULT NULL"
			"monitorid int(11) DEFAULT NULL"
			"refresh_rate int(3) NOT NULL DEFAULT '60'"
			"module varchar(255) DEFAULT NULL"
			"hdmi varchar(10) NOT NULL DEFAULT 'disable'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"cfg_idesk_icon"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"serial int(11) NOT NULL"
			"name varchar(255) DEFAULT NULL"
			"command varchar(255) DEFAULT NULL"
			"icon varchar(255) DEFAULT NULL"
			"filename varchar(255) DEFAULT NULL"
			"xpos varchar(255) DEFAULT NULL"
			"ypos varchar(255) DEFAULT NULL"
			"width varchar(255) DEFAULT NULL"
			"height varchar(255) DEFAULT NULL"
			"default_icon varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"cfg_input"
			"serial int(11) NOT NULL PRIMARY KEY"
			"keymap varchar(255) DEFAULT NULL"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"cfg_modules"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"serial int(11) NOT NULL"
			"module varchar(255) DEFAULT NULL"
			"arg varchar(255) DEFAULT NULL"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"cfg_network"
			"serial int(11) NOT NULL PRIMARY KEY"
			"hostname varchar(255) DEFAULT NULL"
			"domain varchar(255) DEFAULT NULL"
			"networking varchar(255) DEFAULT NULL"
			"netmask varchar(255) DEFAULT NULL"
			"dns varchar(255) DEFAULT NULL"
			"gateway varchar(255) DEFAULT NULL"
			"broadcast varchar(255) DEFAULT NULL"
			"ip varchar(255) DEFAULT NULL"
			"module varchar(255) DEFAULT NULL"
			"forcemacto varchar(17) DEFAULT NULL"
			"wireless_bitrate varchar(5) DEFAULT NULL"
			"wireless_channel varchar(10) DEFAULT NULL"
			"wireless_essid varchar(255) DEFAULT NULL"
			"wireless_frequency varchar(255) DEFAULT NULL"
			"wireless_mode varchar(255) DEFAULT NULL"
			"wireless_nick varchar(255) DEFAULT NULL"
			"wireless_auth_mode varchar(255) DEFAULT NULL"
			"wireless_key_length varchar(255) DEFAULT NULL"
			"wireless_key text"
			"wireless_key_ascii text"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"cfg_printers"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"serial int(11) NOT NULL"
			"printer_name varchar(255) DEFAULT NULL"
			"port varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"cfg_scm_egk"
			"serial int(11) NOT NULL PRIMARY KEY"
			"facility tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"cfg_screensaver"
			"serial int(11) NOT NULL PRIMARY KEY"
			"screensaver varchar(255) DEFAULT NULL"
			"timeout int(11) DEFAULT '10'"
			"password varchar(255) DEFAULT NULL"
			"dpms tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"cfg_sessions_citrix"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"serial int(11) NOT NULL"
			"name varchar(255) DEFAULT NULL"
			"session varchar(255) DEFAULT NULL"
			"filename varchar(255) DEFAULT NULL"
			"username varchar(255) DEFAULT NULL"
			"domain varchar(255) DEFAULT NULL"
			"password varchar(255) DEFAULT NULL"
			"serverlist varchar(255) DEFAULT NULL"
			"autostart tinyint(1) NOT NULL DEFAULT '1'"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
			"flg_modified tinyint(1) NOT NULL DEFAULT '0'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"cfg_sessions_rdesktop"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"serial int(11) NOT NULL"
			"name varchar(255) DEFAULT NULL"
			"server varchar(255) DEFAULT NULL"
			"filename varchar(255) DEFAULT NULL"
			"username varchar(255) DEFAULT NULL"
			"password varchar(255) DEFAULT NULL"
			"domain varchar(255) DEFAULT NULL"
			"shell varchar(255) DEFAULT NULL"
			"autostart tinyint(1) NOT NULL DEFAULT '1'"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
			"flg_modified tinyint(1) NOT NULL DEFAULT '0'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"cfg_sessions_storefront"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"serial int(11) NOT NULL"
			"name varchar(255) DEFAULT NULL"
			"session varchar(255) DEFAULT NULL"
			"filename varchar(255) DEFAULT NULL"
			"username varchar(255) DEFAULT NULL"
			"domain varchar(255) DEFAULT NULL"
			"password varchar(255) DEFAULT NULL"
			"store varchar(255) DEFAULT NULL"
			"autostart tinyint(1) NOT NULL DEFAULT '1'"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
			"flg_modified tinyint(1) NOT NULL DEFAULT '0'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"cfg_storefront_store"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"serial int(11) NOT NULL"
			"store varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"cfg_vnc"
			"serial int(11) NOT NULL PRIMARY KEY"
			"service tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"client_auth"
			"serial int(11) NOT NULL PRIMARY KEY"
			"user varchar(255) DEFAULT NULL"
			"root varchar(255) DEFAULT NULL"
			"vnc varchar(255) DEFAULT NULL"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"client_locations"
			"location varchar(255) NOT NULL PRIMARY KEY"
			"bootserver varchar(255) DEFAULT NULL"
			"controlserver varchar(255) DEFAULT NULL"
			"pxe_default_entry varchar(255) DEFAULT NULL"
			"pxe_prompt tinyint(1) NOT NULL DEFAULT '0'"
			"pxe_timeout smallint(1) NOT NULL DEFAULT '300'"
			"updateserver varchar(255) DEFAULT NULL"
			"username varchar(255) DEFAULT NULL"
			"password varchar(255) DEFAULT NULL"
			"rsync varchar(255) DEFAULT NULL"
			"repository varchar(255) DEFAULT NULL"
			"helpdesk_unit varchar(255) DEFAULT NULL"
			"helpdesk_phone varchar(255) DEFAULT NULL"
			"set_default tinyint(1) NOT NULL DEFAULT '0'"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"client_serials"
			"serial int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"location varchar(255) DEFAULT NULL"
			"mtime int(11) DEFAULT NULL"
			"mac varchar(17) DEFAULT NULL"
			"hwdetected tinyint(1) NOT NULL DEFAULT '0'"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"client_version"
			"serial int(11) NOT NULL PRIMARY KEY"
			"os varchar(50) DEFAULT NULL"
			"utils varchar(50) DEFAULT NULL"
			"arch varchar(50) NOT NULL"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"state_connected"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"mtime int(11) DEFAULT NULL"
			"serial int(11) NOT NULL"
			"ip varchar(255) DEFAULT NULL"
			"mac varchar(255) DEFAULT NULL"
			"netboot tinyint(1) NOT NULL DEFAULT '0'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"values_storefront_store"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"name varchar(255) DEFAULT NULL"
			"store varchar(255) DEFAULT NULL"
			"user varchar(255) DEFAULT NULL"
			"password varchar(255) DEFAULT NULL"
			"domain varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"values_citrix_session"
			"id int(255) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"session varchar(255) DEFAULT NULL"
			"description varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"values_graphic_depth"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"value varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"values_graphic_module"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"value varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"values_graphic_refresh_rate"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"value varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"values_graphic_resolution"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"value varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"values_input_keymap"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"value varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"values_network_module"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"value varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
			"description varchar(255) DEFAULT NULL"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"values_network_wireless_auth_mode"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"value varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"values_network_wireless_bitrate"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"value varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"values_network_wireless_channel"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"value varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"values_network_wireless_frequency"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"value varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"values_network_wireless_key_length"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"value varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"values_network_wireless_mode"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"value varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"values_printers_port"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"value varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"values_screensaver_screensaver"
			"id int(11) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"value varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"values_storefront_session"
			"id int(255) NOT NULL PRIMARY KEY AUTO_INCREMENT"
			"session varchar(255) DEFAULT NULL"
			"description varchar(255) DEFAULT NULL"
			"store varchar(255) DEFAULT NULL"
			"enabled tinyint(1) NOT NULL DEFAULT '1'"
	)
	sql_create_table

	TABLE_DEFINITION=(
		"client_boot"
			"serial int(255) NOT NULL PRIMARY KEY"
			"cmdline varchar(255) DEFAULT NULL"
	)
	sql_create_table
}
